unit SjrdPassWord;

interface

{$I SJRDComps.inc}

uses
{$IFDEF SJRD_WINDOWS}
  Forms, StdCtrls, Buttons, Controls,
{$ENDIF}
{$IFDEF SJRD_LINUX}
  QForms, QStdCtrls, QButtons, QControls,
{$ENDIF}
  SjrdUsual, Classes;

type
  TSjrdPassWordForm = class(TForm)
    LabelPassWord: TLabel;
    EditPassWord: TEdit;
    BoutonOK: TBitBtn;
    BoutonAnnuler: TBitBtn;
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    class function QueryPassWord(PassWord : string; ShowErrorMes : boolean = True) : boolean;
  end;

implementation

{$R *.dfm}

class function TSjrdPassWordForm.QueryPassWord(PassWord : string; ShowErrorMes : boolean = True) : boolean;
begin
  with Create(nil) do
  begin
    if PassWord = '' then
    begin
      Result := True;
      exit;
    end;
    ActiveControl := EditPassWord;
    Result := ShowModal = mrOK;
    if Result and (EditPassWord.Text <> PassWord) then
    begin
      if ShowErrorMes then
        ShowDialog('Mot de passe incorrect', 'Mot de passe incorrect', dtError, dbOK);
      Result := False;
    end;
    Free;
  end;
end;

end.
