unit SjrdFormsUtils;

interface

uses
  Graphics, SjrdPassWord, SjrdAbout;

function QueryPassWord(PassWord : string; ShowErrorMes : boolean = True) : boolean;

procedure ShowAbout(Title : string; Icon : TIcon;
                    ProgramName : string; ProgramVersion : string;
                    Author : string; AuthorEMail : string = '';
                    WebSite : string = ''); platform;

implementation

function QueryPassWord(PassWord : string; ShowErrorMes : boolean = True) : boolean;
begin
  Result := TSjrdPassWordForm.QueryPassWord(PassWord, ShowErrorMes);
end;

procedure ShowAbout(Title : string; Icon : TIcon;
                    ProgramName : string; ProgramVersion : string;
                    Author : string; AuthorEMail : string = '';
                    WebSite : string = '');
begin
  TSjrdAboutForm.ShowAbout(Title, Icon, ProgramName, ProgramVersion,
                           Author, AuthorEMail, WebSite);
end;

end.
